use std::{error::Error, path::Path};

use radicle_ci_broker::status::*;

fn main() {
    if let Err(e) = fallible_main() {
        eprintln!("ERROR: {e}");
        let mut e = e.source();
        while let Some(source) = e {
            eprintln!("caused by: {}", source);
            e = source.source();
        }
    }
}

fn fallible_main() -> Result<(), StatusError> {
    StatusBuilder::new(Path::new("status.json")).write()?;
    Ok(())
}
